// ------------------------------------------------------------
// Base file.
// ------------------------------------------------------------

// Body.
body {
	@include font-size(14);
	background-color: $color-lighter;
	color: $color-base;
	font-family: $font-base;
	line-height: 22px;
}

// Headings.
h1, h2, h3, h4, h5, h6 { font-family: $font-ruda; }

// Links.
a {
	color: $color-red;
	text-decoration: none;

	// On hover, active and focus.
	@include hover-focus-active {
		text-decoration: underline;
	}
}

// Container part.
.container {
	@include box-sizing(border-box);
	margin: 0 auto;
	padding: 0 $gutters;
	position: relative;

	// On different screen sizes:
	@include screen-sm { width: $container-sm; } // On small screens.
	@include screen-md { width: $container-md; } // On small screens.
	@include screen-lg { width: $container-lg; } // On small screens.
}

// General floating.
@each $side in none, left, right, initial, inherit {
	.float-#{$side} { float: $side; }
}
